#
# spec file for package perl-Config-MVP-Reader-INI
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Config-MVP-Reader-INI
Name:           perl-Config-MVP-Reader-INI
Version:        2.101465
Release:        1.9
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        An MVP config reader for .ini files
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Config::INI::Reader)
BuildRequires:  perl(Config::MVP) >= 2
BuildRequires:  perl(Config::MVP::Reader)
BuildRequires:  perl(Config::MVP::Reader::Findable::ByExtension)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Moose)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(parent)
Requires:       perl(Config::INI::Reader)
Requires:       perl(Config::MVP) >= 2
Requires:       perl(Config::MVP::Reader)
Requires:       perl(Config::MVP::Reader::Findable::ByExtension)
Requires:       perl(Moose)
Requires:       perl(parent)
%{perl_requires}

%description
Config::MVP::Reader::INI reads _.ini_ files containing MVP-style
configuration.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Mon Jan  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 2.101465
  see /usr/share/doc/packages/perl-Config-MVP-Reader-INI/Changes
  2.101465  2022-12-31 21:26:16-05:00 America/New_York
  - update author contact info
* Sun Jul  4 2021 Tina Müller <timueller+perl@suse.de>
- updated to 2.101464
  see /usr/share/doc/packages/perl-Config-MVP-Reader-INI/Changes
  2.101464  2021-07-03 13:18:24-04:00 America/New_York
  - update author contact info
  - document perl version policy
* Fri Feb  6 2015 coolo@suse.com
- updated to 2.101463
  - replace base with parent
* Wed Jul 24 2013 coolo@suse.com
- updated to 2.101462
  * repackage, fix bugtracker, repo data, etc
* Mon Jan 17 2011 coolo@novell.com
- initial package 2.101461
  * created by cpanspec 1.78.03
